<script setup lang="ts">
import type { DataTableLoader } from '~/components/pub/my-ui/data-table/type'
import type { HeaderPrep, RefSearchNav } from '~/components/pub/my-ui/data/types'
import Header from '~/components/pub/my-ui/nav-header/prep.vue'

const data = ref([])

const refSearchNav: RefSearchNav = {
  onClick: () => {
    // open filter modal
  },
  onInput: (_val: string) => {
    // filter patient list
  },
  onClear: () => {
    // clear url param
  },
}

const isLoading = reactive<DataTableLoader>({
  isTableLoading: false,
})

const recId = ref<number>(0)
const recAction = ref<string>('')
const recItem = ref<any>(null)

const headerPrep: HeaderPrep = {
  title: 'User',
  icon: 'i-lucide-users',
  addNav: {
    label: 'Tambah',
    onClick: () => navigateTo('/human-src/employee/add'),
  },
}

async function getDoctorList() {
  isLoading.dataListLoading = true

  const resp = await xfetch('/api/v1/doctor')
  if (resp.success) {
    data.value = (resp.body as Record<string, any>).data
  }

  isLoading.dataListLoading = false
}

onMounted(() => {
  getDoctorList()
})

provide('rec_id', recId)
provide('rec_action', recAction)
provide('rec_item', recItem)
provide('table_data_loader', isLoading)
</script>

<template>
  <Header :prep="{ ...headerPrep }" :ref-search-nav="refSearchNav" />

  <AppDoctorList v-if="!isLoading.dataListLoading" :data="data" />
</template>
